Subject: bug#44189: html-href-anchor, html-image should expand local filenames

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Sat, 24 Oct 2020 13:42:11 +0800

These should expand local file names when prompting:

  C-c C-c h runs the command html-href-anchor (found in mhtml-mode-map),
  which is an interactive compiled Lisp function in ‘sgml-mode.el’.

  C-c C-c i runs the command html-image (found in mhtml-mode-map), which
  is an interactive compiled Lisp function in ‘sgml-mode.el’.

E.g., if no http[s]: is detected, assume we are inserting a relative
link, and help us expand that.

emacs-version "26.3"